From: Sebastian Ramacher <sramacher@debian.org>
Date: Mon, 31 Aug 2020 20:25:04 +0200
Subject: Do not compile glib schema

---
 setup.py | 16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

diff --git a/setup.py b/setup.py
index 1a9c5b4..0410c7c 100644
--- a/setup.py
+++ b/setup.py
@@ -38,17 +38,6 @@ import DistUtilsExtra.auto
 # Thanks to DistUtilsExtra (https://salsa.debian.org/python-team/modules/python-distutils-extra/-/tree/master/doc) # noqa
 
 
-class Install(DistUtilsExtra.auto.install_auto):
-    def run(self):
-        DistUtilsExtra.auto.install_auto.run(self)
-        # after DistUtilsExtra automatically copied data/org.soundconverter.gschema.xml
-        # to /usr/share/glib-2.0/schemas/ it doesn't seem to compile them.
-        glib_schema_path = os.path.join(self.install_data, 'share/glib-2.0/schemas/')
-        cmd = 'glib-compile-schemas {}'.format(glib_schema_path)
-        print('running {}'.format(cmd))
-        os.system(cmd)
-
-
 DistUtilsExtra.auto.setup(
     name='soundconverter',
     version='4.0.1',
@@ -61,8 +50,5 @@ DistUtilsExtra.auto.setup(
         ('share/metainfo/', ['data/soundconverter.appdata.xml']),
         ('share/pixmaps/', ['data/soundconverter.png']),
         ('share/icons/hicolor/scalable/apps/', ['data/soundconverter.svg'])
-    ],
-    cmdclass={
-        'install': Install
-    }
+    ]
 )
